CLEANUP: extract temporary $CFG to eliminate duplication
Signed-off-by: Adam Spiers <aspiers@suse.com>
diff --git a/examples/haproxy.init b/examples/haproxy.init
index 942d959..ae3ac0f 100644
--- a/examples/haproxy.init
+++ b/examples/haproxy.init
@@ -32,19 +32,20 @@
BASENAME=`basename $BASENAME`
fi
-[ -f /etc/$BASENAME/$BASENAME.cfg ] || exit 1
+CFG=/etc/$BASENAME/$BASENAME.cfg
+[ -f $CFG ] || exit 1
RETVAL=0
start() {
- /usr/sbin/$BASENAME -c -q -f /etc/$BASENAME/$BASENAME.cfg
+ /usr/sbin/$BASENAME -c -q -f $CFG
if [ $? -ne 0 ]; then
echo "Errors found in configuration file, check it with '$BASENAME check'."
return 1
fi
echo -n "Starting $BASENAME: "
- daemon /usr/sbin/$BASENAME -D -f /etc/$BASENAME/$BASENAME.cfg -p /var/run/$BASENAME.pid
+ daemon /usr/sbin/$BASENAME -D -f $CFG -p /var/run/$BASENAME.pid
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$BASENAME
@@ -62,7 +63,7 @@
}
restart() {
- /usr/sbin/$BASENAME -c -q -f /etc/$BASENAME/$BASENAME.cfg
+ /usr/sbin/$BASENAME -c -q -f $CFG
if [ $? -ne 0 ]; then
echo "Errors found in configuration file, check it with '$BASENAME check'."
return 1
@@ -72,16 +73,16 @@
}
reload() {
- /usr/sbin/$BASENAME -c -q -f /etc/$BASENAME/$BASENAME.cfg
+ /usr/sbin/$BASENAME -c -q -f $CFG
if [ $? -ne 0 ]; then
echo "Errors found in configuration file, check it with '$BASENAME check'."
return 1
fi
- /usr/sbin/$BASENAME -D -f /etc/$BASENAME/$BASENAME.cfg -p /var/run/$BASENAME.pid -sf $(cat /var/run/$BASENAME.pid)
+ /usr/sbin/$BASENAME -D -f $CFG -p /var/run/$BASENAME.pid -sf $(cat /var/run/$BASENAME.pid)
}
check() {
- /usr/sbin/$BASENAME -c -q -V -f /etc/$BASENAME/$BASENAME.cfg
+ /usr/sbin/$BASENAME -c -q -V -f $CFG
}
rhstatus() {